> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contacts

> List customer addresses.



## OpenAPI

````yaml /spec/oas.yaml get /customers/{customer_id}/contacts
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /customers/{customer_id}/contacts:
    get:
      tags:
        - Customer Contacts
      summary: List Contacts
      description: List customer addresses.
      operationId: customer_contacts_list_contacts
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Customer identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerContactListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    CustomerContactListModel:
      type: object
      description: Customer contact list (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/CustomerContactModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    CustomerContactModelArray:
      type: array
      items:
        $ref: '#/components/schemas/CustomerContactModel'
    CustomerContactModel:
      type: object
      description: Customer contact.
      properties:
        email:
          type: string
          format: email
          description: Email address comma-separated list.
        fax:
          type: string
          description: Fax number (free text).
        id:
          type: integer
          format: int64
          description: Customer contact identifier.
        name:
          type: string
          description: Name (free text).
        notify_on_acknowledged_request:
          type: boolean
          description: Notify on acknowledge request.
        notify_on_completed_request:
          type: boolean
          description: Notify on completed request.
        notify_on_dispatched_request:
          type: boolean
          description: Notify on dispatched request.
        notify_on_failed_request:
          type: boolean
          description: Notify on failed request.
        notify_on_new_request:
          type: boolean
          description: Notify on new request.
        number:
          type: string
          description: Phone number (free text).
      required:
        - email
        - fax
        - id
        - name
        - notify_on_acknowledged_request
        - notify_on_completed_request
        - notify_on_dispatched_request
        - notify_on_failed_request
        - notify_on_new_request
        - number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````